Mountsea API
Mountsea API 是新增的高质量微服务网关,面向需要稳定生产调用的开发者,统一提供图像、视频、音频、转写以及对话类模型能力。它把不同平台的旗舰模型收敛到同一套异步任务接口中,减少接入多个官方平台、多个 SDK 和多套任务格式的成本。高质量官模通道
覆盖 Veo 3.1、Kling v3、WAN 2.7、Seedance 2.0、Nano Banana、GPT Image、ElevenLabs Music、Whisper 等主流模型能力。
稳定生产可用
统一提交任务、查询任务、取消任务,并支持通过
webhook_url 接收任务终态回调。全平台模型覆盖
通过端点市场动态发现可用模型、输入结构、输出结构和示例,不需要在业务代码中维护分散的供应商接口。
核心流程
所有生成类接口都遵循同一套异步任务模式:发现端点
调用
GET /ms/v1/endpoints 获取端点市场列表。可以按 capability(image、video、audio、chat、transcribe、embeddings)或 tag 过滤。查看 Schema
调用
GET /ms/v1/endpoints/{endpoint_slug} 查看指定端点的 input_schema、output_schema 和可直接复制的 examples。Base URL
标准请求体
端点参数统一放在input 内。提示词、媒体 URL、模型参数和生成控制项都由具体端点的 input_schema 定义。
标准 Task 对象
任务响应共享同一组顶层字段:| 字段 | 说明 |
|---|---|
task_id | Mountsea 任务 ID。 |
endpoint | 本次执行的端点 slug。 |
model | 端点对应模型。 |
capability | 能力类型,例如 image、video、audio。 |
mode | 端点模式,例如 text-to-video、image-to-video、music-generate。 |
status | queued、processing、succeeded、failed、timeout、canceled。 |
output | 任务成功后的结果数据。 |
error | 任务失败或超时时的错误信息。 |
管理接口
- 提交异步任务 - 通过端点 slug 运行任意市场端点。
- 查询任务结果 - 获取任务状态和输出。
- 取消任务 - 取消未进入终态的任务。
- 端点市场 - 浏览所有可用模型端点。
- 端点详情 - 查看输入结构、输出结构和示例。
端点目录
以下每个路由都有独立文档页,包含完整请求体(input 参数)和响应结构(output)。endpoint slug 即 /ms/v1/run/ 之后的路径。
视频
| Endpoint Slug | Route | Page |
|---|---|---|
google/veo-3.1/text-to-video | POST /ms/v1/run/google/veo-3.1/text-to-video | Veo 3.1 - Text to Video |
google/veo-3.1/image-to-video | POST /ms/v1/run/google/veo-3.1/image-to-video | Veo 3.1 - Image to Video |
google/veo-3.1/reference-to-video | POST /ms/v1/run/google/veo-3.1/reference-to-video | Veo 3.1 - Reference to Video |
google/veo-3.1/first-last-frame-to-video | POST /ms/v1/run/google/veo-3.1/first-last-frame-to-video | Veo 3.1 - First-Last Frame |
google/veo-3.1/fast/text-to-video | POST /ms/v1/run/google/veo-3.1/fast/text-to-video | Veo 3.1 Fast - Text to Video |
google/veo-3.1/fast/image-to-video | POST /ms/v1/run/google/veo-3.1/fast/image-to-video | Veo 3.1 Fast - Image to Video |
google/veo-3.1/fast/reference-to-video | POST /ms/v1/run/google/veo-3.1/fast/reference-to-video | Veo 3.1 Fast - Reference to Video |
google/veo-3.1/lite/text-to-video | POST /ms/v1/run/google/veo-3.1/lite/text-to-video | Veo 3.1 Lite - Text to Video |
google/veo-3.1/lite/image-to-video | POST /ms/v1/run/google/veo-3.1/lite/image-to-video | Veo 3.1 Lite - Image to Video |
google/veo-3/text-to-video | POST /ms/v1/run/google/veo-3/text-to-video | Veo 3 - Text to Video |
google/veo-3/image-to-video | POST /ms/v1/run/google/veo-3/image-to-video | Veo 3 - Image to Video |
kuaishou/kling-v3/standard/text-to-video | POST /ms/v1/run/kuaishou/kling-v3/standard/text-to-video | Kling v3 Standard - Text to Video |
kuaishou/kling-v3/standard/image-to-video | POST /ms/v1/run/kuaishou/kling-v3/standard/image-to-video | Kling v3 Standard - Image to Video |
kuaishou/kling-v3/pro/text-to-video | POST /ms/v1/run/kuaishou/kling-v3/pro/text-to-video | Kling v3 Pro - Text to Video |
kuaishou/kling-v3/pro/image-to-video | POST /ms/v1/run/kuaishou/kling-v3/pro/image-to-video | Kling v3 Pro - Image to Video |
alibaba/wan-2.7/text-to-video | POST /ms/v1/run/alibaba/wan-2.7/text-to-video | WAN 2.7 - Text to Video |
alibaba/wan-2.7/image-to-video | POST /ms/v1/run/alibaba/wan-2.7/image-to-video | WAN 2.7 - Image to Video |
alibaba/wan-2.7/reference-to-video | POST /ms/v1/run/alibaba/wan-2.7/reference-to-video | WAN 2.7 - Reference to Video |
alibaba/wan-2.7/edit-video | POST /ms/v1/run/alibaba/wan-2.7/edit-video | WAN 2.7 - Edit Video |
bytedance/seedance-2.0/text-to-video | POST /ms/v1/run/bytedance/seedance-2.0/text-to-video | Seedance 2.0 - Text to Video |
bytedance/seedance-2.0/image-to-video | POST /ms/v1/run/bytedance/seedance-2.0/image-to-video | Seedance 2.0 - Image to Video |
bytedance/seedance-2.0/reference-to-video | POST /ms/v1/run/bytedance/seedance-2.0/reference-to-video | Seedance 2.0 - Reference to Video |
bytedance/seedance-2.0/fast/text-to-video | POST /ms/v1/run/bytedance/seedance-2.0/fast/text-to-video | Seedance 2.0 Fast - Text to Video |
bytedance/seedance-2.0/fast/image-to-video | POST /ms/v1/run/bytedance/seedance-2.0/fast/image-to-video | Seedance 2.0 Fast - Image to Video |
bytedance/seedance-2.0/fast/reference-to-video | POST /ms/v1/run/bytedance/seedance-2.0/fast/reference-to-video | Seedance 2.0 Fast - Reference to Video |
图像
| Endpoint Slug | Route | Page |
|---|---|---|
google/nano-banana/text-to-image | POST /ms/v1/run/google/nano-banana/text-to-image | Nano Banana - Text to Image |
google/nano-banana/edit | POST /ms/v1/run/google/nano-banana/edit | Nano Banana - Edit |
google/nano-banana-2/text-to-image | POST /ms/v1/run/google/nano-banana-2/text-to-image | Nano Banana 2 - Text to Image |
google/nano-banana-2/edit | POST /ms/v1/run/google/nano-banana-2/edit | Nano Banana 2 - Edit |
google/nano-banana-pro/text-to-image | POST /ms/v1/run/google/nano-banana-pro/text-to-image | Nano Banana Pro - Text to Image |
google/nano-banana-pro/edit | POST /ms/v1/run/google/nano-banana-pro/edit | Nano Banana Pro - Edit |
openai/gpt-image-2/text-to-image | POST /ms/v1/run/openai/gpt-image-2/text-to-image | GPT Image 2 - Text to Image |
openai/gpt-image-2/edit | POST /ms/v1/run/openai/gpt-image-2/edit | GPT Image 2 - Edit |
音频
| Endpoint Slug | Route | Page |
|---|---|---|
elevenlabs/elevenlabs-music/music-generate | POST /ms/v1/run/elevenlabs/elevenlabs-music/music-generate | ElevenLabs Music - Generate |